SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   HPE Version Control Repository Manager Vendors:   HPE
HP Version Control Repository Manager May Disclose Proxy Password to Local Users
SecurityTracker Alert ID:  1014267
SecurityTracker URL:  http://securitytracker.com/id/1014267
CVE Reference:   CVE-2005-2076   (Links to External Site)
Updated:  Jul 17 2008
Original Entry Date:  Jun 22 2005
Impact:   Disclosure of authentication information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 2.1.1.730
Description:   A vulnerability was reported in HP's Version Control Repository Manager (VCRM). The proxy password may be disclosed to local users.

The VCRM does not properly process a Proxy Server password that contains the '@' character. The character and any subsequent characters will be processed as if part of the Proxy Server name. As a result, a physically local user can view the portion of the password beginning with the '@' character. In addition, VCRM Automatic Updates will not work.

Impact:   A physically local user may be able to view portions of the proxy password in certain cases.
Solution:   The vendor has issued a fixed version (2.1.1.730), available as part of the HP Proliant Management CD (starting with vers 7.30) and at:

http://h18023.www1.hp.com/support/files/server/us/download/22563.html

Vendor URL:  www2.itrc.hp.com/service/cki/docDisplay.do?docId=HPSBMA01166 (Links to External Site)
Cause:   Access control error, Input validation error
Underlying OS:  Windows (NT), Windows (2000), Windows (2003), Windows (XP)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC